GRUB-MKRESCUE(1)

NAZWA
grub-mkrescue - tworzy ratunkowy obraz GRUB

SKŁADNIA
grub-mkrescue [OPCJA...] [OPCJA] ŹRÓDŁO...

OPIS
Tworzy rozruchowy obraz płyty CD, dysku, pendrive'a lub dyskietki z GRUB-em.

--appended-signature-size=ROZMIAR
    Dodaje segment z komentarzem rezerwującym ROZMIAR bajtów na dołączony podpis

--compress=no|xz|gz|lzo
    kompresuje pliki GRUB-a [opcjonalne]

--disable-cli
    wyłącza dostęp do interfejsu wiersza poleceń

--disable-shim-lock
    wyłącza weryfikację shim_lock

--dtb=PLIK
    osadza określone DTB

-d, --directory=KATALOG
    używa obrazów i modułów z KATALOGU [domyślnie=/usr/lib/grub/<platforma>]

--fonts=FONTY
    instaluje FONTY [domyślnie=unicode]

--install-modules=MODUŁY
    instaluje tylko MODUŁY i ich zależności [domyślnie=wszystkie]

-k, --pubkey=PLIK
    osadza PLIK jako klucz publiczny do kontroli podpisu

--locale-directory=KATALOG używa tłumaczeń z KATALOGU
    [domyślnie=/usr/share/locale]

--locales=JĘZYK
    instaluje tylko tłumaczenia w danym JĘZYKU [domyślnie=wszystkie]

--modules=MODUŁY
    ładuje wstępnie określone MODUŁY

--sbat=PLIK
    metadane SBAT

--themes=MOTYWY
    instaluje MOTYWY [domyślnie=starfield]

-v, --verbose
    zwiększa szczegółowość komunikatów.

-x, --x509key=PLIK
    osadza PLIK jako certyfikat x509 do kontroli dołączonego podpisu

--arcs-boot
    włącza rozruch ARCS (komputery mips big-endian, głównie SGI); wyłącza HFS+, APM, sparc64 i rozruch jako obraz dysku dla i386-pc

--core-compress=xz|none|auto
    wybiera rodzaj kompresji dla obrazu

--label-bgcolor=KOLOR
    używa KOLORU jako tła etykiet

--label-color=KOLOR
    używa KOLORU do etykiet

--label-font=PLIK
    używa PLIKU jako fontu do etykiet

-o, --output=PLIK
    zapisuje wyjście do PLIKU [wymagane]

--product-name=ŁAŃCUCH
    używa ŁAŃCUCHA jako nazwy produktu

--product-version=ŁAŃCUCH
    używa ŁAŃCUCHA jako wersji produktu

--rom-directory=KATALOG
    zapisuje obrazy ROM do KATALOGU [opcjonalne]

--sparc-boot
    włącza rozruch typu sparc. Wyłącza HFS+, APM, ARCS oraz rozruch jako obraz dysku dla i386-pc

--xorriso=PLIK
    używa PLIKU jako programu xorriso [opcjonalne]

-?, --help
    wyświetla tę listę pomocy

--usage
    wyświetla krótką informację o stosowaniu

-V, --version
    Wyświetla wersję programu

Argumenty, które są obowiązkowe lub opcjonalne dla długich opcji, są również, odpowiednio, obowiązkowe lub opcjonalne dla krótkich.

Generuje rozruchowy obraz CD/USB/dyskietki. Argumenty inne niż opcje tego programu są przekazywane do xorriso i oznaczają pliki źródłowe, katalogi źródłowe lub dowolne opcje mkisofs wymienione w wyjściu `xorriso -as mkisofs -help`.

Opcja -- przełącza w natywny tryb polecenia xorriso.

W sprawie xorriso prosimy pisać na adres <bug-xorriso@gnu.org>.

ZGŁASZANIE BŁĘDÓW
Raporty o błędach można wysyłać do <bug-grub@gnu.org>.

ZOBACZ TAKŻE
grub-mkimage(1)

Pełna dokumentacja grub-mkrescue jest dostępna w formacie Texinfo. Jeśli program info i grub-mkrescue jest poprawnie zainstalowany, to polecenie

    info grub-mkrescue

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Tłumaczenie niniejszej strony podręcznika: Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.